%global debug_package %{nil}
%global apiversion 2.1

Summary: A collection of multi-dimensional data structures and indexing algorithms
Name: mdds
Version: 2.1.1
Release: 1%{?dist}
License: MIT
URL: https://gitlab.com/mdds/mdds
Source0: http://kohei.us/files/%{name}/src/%{name}-%{version}.tar.bz2

BuildRequires: make boost-devel gcc-c++ autoconf

%description
%{name} is a collection of multi-dimensional data structures and
indexing algorithms.

%package devel
Summary: Headers for %{name}
BuildArch: noarch
Requires: boost-devel
Provides: %{name}-static = %{version}-%{release}

%description devel
%{name} is a collection of multi-dimensional data structures and
indexing algorithms.
 
It implements the following data structures:
* segment tree
* flat segment tree 
* rectangle set
* point quad tree
* multi type matrix
* multi type vector

See README.md for a brief description of the structures.

%prep
%autosetup -p1

%build
autoconf
%configure

%install
%make_install
rm -rf %{buildroot}%{_docdir}/%{name}

%check
make check %{?_smp_mflags}

%files devel
%license LICENSE
%doc AUTHORS README.md
%{_includedir}/%{name}-%{apiversion}
%{_datadir}/pkgconfig/%{name}-%{apiversion}.pc

%changelog
* Fri Oct 25 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-1
- upgrade to version 2.1.1

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 2.0.3-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.3-1
- initial build
